#!/bin/sh

MNTPATH=$(mount | grep "/mnt/media/sd" | awk '{ print $3; }')
 
test -d "$MNTPATH" || exit 1

IMG="sw-upd~1.img"
CFG="cfg-00~1.zip"
CFG_COMMON="cfg.zip"

# run config update
if [ -f "$MNTPATH/$CFG" ]; then
    say "Launching config update"
    cp "$MNTPATH/$CFG" /tmp/cfg.zip
    /usr/local/sbin/www-scripts/maintenance/updateConfig "file:///tmp/cfg.zip"
elif [ -f "$MNTPATH/$CFG_COMMON" ]; then
    say "Launching config update"
    cp "$MNTPATH/$CFG_COMMON" /tmp/cfg.zip
    /usr/local/sbin/www-scripts/maintenance/updateConfig "file:///tmp/cfg.zip"
fi

# run swupdate update
if [ -f "$MNTPATH/$IMG" ]; then
    say "Launching software update"
    cp "$MNTPATH/$IMG" /tmp/sw-update.img
    /usr/local/sbin/www-scripts/maintenance/updateSoftware -r "file:///tmp/sw-update.img"
fi

exit 0
